Skip to main content
PUT
/
api
/
pricing
/
records
/
{key}
Update Price Record
curl --request PUT \
  --url https://api.merchantops.ai/api/pricing/records/{key} \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "brand_key": "<string>",
  "currency": "<string>",
  "effective_from": "2023-11-07T05:31:56Z",
  "effective_to": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "price_type": "<string>",
  "product_key": "<string>",
  "status": "<string>",
  "umap_flag": true,
  "variant_key": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

key
string
required

Cookies

stytch_session
string | null

Body

application/json

Request body for updating a price record. All fields optional.

amount
number | null
brand_key
string | null
currency
string | null
effective_from
string<date-time> | null
effective_to
string<date-time> | null
notes
string | null
price_type
string | null
product_key
string | null
status
string | null
umap_flag
boolean | null
variant_key
string | null

Response

Successful Response